transmision 2.8 sur raspberry pi2

transmision 2.8 sur raspberry pi2 - Logiciels - Linux et OS Alternatifs

Marsh Posté le 13-06-2015 à 00:33:30    

Salut à tous  :hello:  
 
je cherche à installer la dernière version de transmission-daemon (la 2.84 )  
https://packages.debian.org/fr/jess [...] ion-daemon
mais j'ai les erreurs suivantes ;  
 

Code :
  1. root@raspberrypi:~# dpkg -i transmission-daemon_2.52-3+nmu2_armhf.deb
  2. Selecting previously unselected package transmission-daemon.
  3. (Reading database ... 79887 files and directories currently installed.)
  4. Unpacking transmission-daemon (from transmission-daemon_2.52-3+nmu2_armhf.deb) ...
  5. dpkg: warning: unable to delete old directory '/var/lib/transmission-daemon/.config/transmission-daemon': Directory not empty
  6. dpkg: warning: unable to delete old directory '/var/lib/transmission-daemon/.config': Directory not empty
  7. dpkg: dependency problems prevent configuration of transmission-daemon:
  8. transmission-daemon depends on libminiupnpc5; however:
  9.   Package libminiupnpc5 is not installed.
  10. transmission-daemon depends on libnatpmp1; however:
  11.   Package libnatpmp1 is not installed.
  12. transmission-daemon depends on transmission-common (= 2.52-3+nmu2); however:
  13.   Package transmission-common is not installed.
  14. dpkg: error processing transmission-daemon (--install):
  15. dependency problems - leaving unconfigured
  16. Processing triggers for man-db ...
  17. Errors were encountered while processing:
  18. transmission-daemon


 
je n'arrive pas à installer des deux paquet qui bloque visiblement  
 
Merci de votre aide =)


Message édité par lysitheas le 13-06-2015 à 00:35:58
Reply

Marsh Posté le 13-06-2015 à 00:33:30   

Reply

Marsh Posté le 13-06-2015 à 12:23:25    

Vire/backup les répertoires /var/lib/transmission-daemon/.config/transmission-daemon et /var/lib/transmission-daemon/.config à la main et tu recommences

Reply

Marsh Posté le 13-06-2015 à 14:37:03    

euh /backup ? :whistle:
 
edit : j'ai toujours l'erreur ... :(


Message édité par lysitheas le 13-06-2015 à 14:48:22
Reply

Marsh Posté le 13-06-2015 à 15:11:20    

Bon.
 j'ai trouvé un script (très bien fait ) sur  
https://forum.transmissionbt.com/viewtopic.php?t=16887
 
le voici
 

Code :
  1. #!/bin/bash
  2. # edited 2015.04.20 15:50 est
  3. set -e
  4. SCRIPT="$(readlink -e ""$0"" )"
  5. ##  install dependencies and required compiling tools from standard repos
  6. sudo apt-get update
  7. sudo apt-get -y install build-essential checkinstall pkg-config libtool intltool libcurl4-openssl-dev libssl-dev libevent-dev
  8. sudo sed -i 's/TRANSLATE=1/TRANSLATE=0/' /etc/checkinstallrc
  9. #-uncomment if needed:
  10. #sudo apt-get -y install natpmp-utils
  11. ##  download, compile and install Transmission 2.84
  12. cd ~
  13. sudo rm -rf transmission-2.84; rm -f transmission-2.84.tar.xz
  14. wget https://transmission.cachefly.net/t [...] .84.tar.xz
  15. xz -c -d transmission-2.84.tar.xz | tar -x
  16. cd transmission-2.84
  17. ./configure; make
  18. sudo checkinstall -y
  19. cd ..
  20. sudo rm -r transmission-2.84; rm transmission-2.84.tar.xz
  21. ##  add user transmission
  22. if [ ! $(grep '^transmission:' /etc/passwd) ]; then
  23.    sudo adduser --disabled-password --disabled-login --gecos "" transmission
  24. fi
  25. ##  copy lines after #initdscript# as /etc/init.d/transmission-daemon, make it autostart
  26. tail -n +$(($(grep -n "^#initdscript#" "$SCRIPT"|grep -Eo '^[^:]+')+1)) "$SCRIPT" | sudo tee /etc/init.d/transmission-daemon >/dev/null
  27. sudo chmod +x /etc/init.d/transmission-daemon
  28. sudo update-rc.d transmission-daemon defaults
  29. sudo /etc/init.d/transmission-daemon start
  30. sudo /etc/init.d/transmission-daemon stop
  31. echo $'\n'"Settings: /home/transmission/.config/transmission-daemon/settings.json"$'\n'
  32. exit
  33. #initdscript#  (from `https://trac.transmissionbt.com/wiki/Scripts/initd` 2015.03.31)
  34. #!/bin/sh
  35. ### BEGIN INIT INFO
  36. # Provides:          transmission-daemon
  37. # Required-Start:    networking
  38. # Required-Stop:     networking
  39. # Default-Start:     2 3 5
  40. # Default-Stop:      0 1 6
  41. # Short-Description: Start the transmission BitTorrent daemon client.
  42. ### END INIT INFO
  43. # Original Author: Lennart A. JÃŒtte, based on Rob Howell's script
  44. # Modified by Maarten Van Coile & others (on IRC)
  45. # Do NOT "set -e"
  46. #
  47. # ----- CONFIGURATION -----
  48. #
  49. # For the default location Transmission uses, visit:
  50. # http://trac.transmissionbt.com/wiki/ConfigFiles
  51. # For a guide on how set the preferences, visit:
  52. # http://trac.transmissionbt.com/wiki/EditConfigFiles
  53. # For the available environement variables, visit:
  54. # http://trac.transmissionbt.com/wik [...] tVariables
  55. #
  56. # The name of the user that should run Transmission.
  57. # It's RECOMENDED to run Transmission in it's own user,
  58. # by default, this is set to 'transmission'.
  59. # For the sake of security you shouldn't set a password
  60. # on this user
  61. USERNAME=transmission
  62. # ----- *ADVANCED* CONFIGURATION -----
  63. # Only change these options if you know what you are doing!
  64. #
  65. # The folder where Transmission stores the config & web files.
  66. # ONLY change this you have it at a non-default location
  67. #TRANSMISSION_HOME="/var/config/transmission-daemon"
  68. #TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
  69. #
  70. # The arguments passed on to transmission-daemon.
  71. # ONLY change this you need to, otherwise use the
  72. # settings file as per above.
  73. #TRANSMISSION_ARGS=""
  74. # ----- END OF CONFIGURATION -----
  75. #
  76. # PATH should only include /usr/* if it runs after the mountnfs.sh script.
  77. PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  78. DESC="bittorrent client"
  79. NAME=transmission-daemon
  80. DAEMON=$(which $NAME)
  81. PIDFILE=/var/run/$NAME.pid
  82. SCRIPTNAME=/etc/init.d/$NAME
  83. # Exit if the package is not installed
  84. [ -x "$DAEMON" ] || exit 0
  85. # Read configuration variable file if it is present
  86. [ -r /etc/default/$NAME ] && . /etc/default/$NAME
  87. # Load the VERBOSE setting and other rcS variables
  88. [ -f /etc/default/rcS ] && . /etc/default/rcS
  89. #
  90. # Function that starts the daemon/service
  91. #
  92. do_start()
  93. {
  94.     # Export the configuration/web directory, if set
  95.     if [ -n "$TRANSMISSION_HOME" ]; then
  96.           export TRANSMISSION_HOME
  97.     fi
  98.     if [ -n "$TRANSMISSION_WEB_HOME" ]; then
  99.           export TRANSMISSION_WEB_HOME
  100.     fi
  101.     # Return
  102.     #   0 if daemon has been started
  103.     #   1 if daemon was already running
  104.     #   2 if daemon could not be started
  105.     start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
  106.             --exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
  107.             || return 1
  108.     start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
  109.             --exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
  110.             || return 2
  111. }
  112. #
  113. # Function that stops the daemon/service
  114. #
  115. do_stop()
  116. {
  117.         # Return
  118.         #   0 if daemon has been stopped
  119.         #   1 if daemon was already stopped
  120.         #   2 if daemon could not be stopped
  121.         #   other if a failure occurred
  122.         start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --exec $DAEMON
  123.         RETVAL="$?"
  124.         [ "$RETVAL" = 2 ] && return 2
  125.         # Wait for children to finish too if this is a daemon that forks
  126.         # and if the daemon is only ever run from this initscript.
  127.         # If the above conditions are not satisfied then add some other code
  128.         # that waits for the process to drop all resources that could be
  129.         # needed by services started subsequently.  A last resort is to
  130.         # sleep for some time.
  131.         start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
  132.         [ "$?" = 2 ] && return 2
  133.         # Many daemons don't delete their pidfiles when they exit.
  134.         rm -f $PIDFILE
  135.         return "$RETVAL"
  136. }
  137. case "$1" in
  138.   start)
  139.         echo "Starting $DESC" "$NAME..."
  140.         do_start
  141.         case "$?" in
  142.                 0|1) echo "   Starting $DESC $NAME succeeded" ;;
  143.                 *)   echo "   Starting $DESC $NAME failed" ;;
  144.         esac
  145.         ;;
  146.   stop)
  147.         echo "Stopping $DESC $NAME..."
  148.         do_stop
  149.         case "$?" in
  150.                 0|1) echo "   Stopping $DESC $NAME succeeded" ;;
  151.                 *)   echo "   Stopping $DESC $NAME failed" ;;
  152.         esac
  153.         ;;
  154.   restart|force-reload)
  155.         #
  156.         # If the "reload" option is implemented then remove the
  157.         # 'force-reload' alias
  158.         #
  159.         echo "Restarting $DESC $NAME..."
  160.         do_stop
  161.         case "$?" in
  162.           0|1)
  163.                 do_start
  164.                 case "$?" in
  165.                     0|1) echo "   Restarting $DESC $NAME succeeded" ;;
  166.                     *)   echo "   Restarting $DESC $NAME failed: couldn't start $NAME" ;;
  167.                 esac
  168.                 ;;
  169.           *)
  170.                 echo "   Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
  171.         esac
  172.         ;;
  173.   *)
  174.         echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
  175.         exit 3
  176.         ;;
  177. esac

Reply

Marsh Posté le 13-06-2015 à 17:08:05    

pas de torrents, cf rules

Reply

Sujets relatifs:

Leave a Replay

Make sure you enter the(*)required information where indicate.HTML code is not allowed